Download file
GET
/v1/mailboxes/{mailbox_id}/files/{file_id}/downloadThe response contains file bytes with Content-Disposition: attachment. The link requires authorization on each request; public URL storage is not issued.
Authentication and access · Errors and retries
Request
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/files/<file_id>/download' \ -H 'Authorization: Bearer <access_token>'Parameters
mailbox_idpathNecessarilyintegerfile_idpathNecessarilystring · uuidX-Customer-IDheader- Option 1
stringOption 2null
Responses
200 Successful response
application/octet-stream
string · binary
401 Login required
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
403 No access
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
404 Resource not found
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
409 State conflict
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
422 Validation error
application/json
object
detailarrayArray elementsobjectlocNecessarilyarrayArray elementsOption 1stringOption 2integermsgNecessarilystringtypeNecessarilystring
503 Temporarily unavailable
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject